Bug 1785943 - Pykka 2.0.2 is available
Summary: Pykka 2.0.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pykka
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL: https://src.fedoraproject.org/rpms/py...
Whiteboard:
Depends On: 1787429
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-22 17:00 UTC by Tobias
Modified: 2020-01-25 06:34 UTC (History)
3 users (show)

Fixed In Version: pykka-2.0.2-2.fc30 pykka-2.0.2-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-24 18:51:07 UTC
Type: Bug


Attachments (Terms of Use)
updated spec (6.24 KB, text/x-matlab)
2019-12-22 17:00 UTC, Tobias
no flags Details
updated spec (v2) (6.23 KB, text/x-matlab)
2019-12-24 13:26 UTC, Tobias
no flags Details

Description Tobias 2019-12-22 17:00:52 UTC
Created attachment 1647186 [details]
updated spec

Latest upstream release: 2.0.2
Current version/release in rawhide: 1.3-0.7.20181208git.fc32
URL: https://github.com/jodal/pykka

There are some backwards incompatible changes; full changelog here: https://www.pykka.org/en/latest/changes/

I am trying to create a package for Mopidy 3.0 beta (mopidy.com), which requires at least pykka-2.0.1.

In case it is wanted, I have attached an updated .spec file (it passes %check, but no testing otherwise)

new tarball url: https://github.com/jodal/pykka/archive/v2.0.2.tar.gz

Comment 1 Tobias 2019-12-23 14:53:33 UTC
Just a confirmation that the spec file I've attached yesterday works nicely with the mopidy-3.0.1 package i'm currently working on.

You might want to have a look at the "%package -n python3-%{modname}" (and other sections) lines: the resulting package is named python3-Pykka (note the upper case letter).

Comment 2 Tobias 2019-12-24 13:26:58 UTC
Created attachment 1647505 [details]
updated spec (v2)

just noticed that I put my old email in the changelog; fixed. (sorry for the noise)

Comment 3 Tobias 2020-01-04 15:47:23 UTC
Comment on attachment 1647505 [details]
updated spec (v2)

submitted as PR as recommended in #fedora-devel.

https://src.fedoraproject.org/rpms/pykka/pull-request/2

Comment 4 Raphael Groner 2020-01-05 13:55:48 UTC
Pull request: https://src.fedoraproject.org/rpms/pykka/pull-request/2

As written, I miss the time to actively maintain this package and therefore will go to orphan and announce on the devel mailing list.

Comment 5 Fedora Admin XMLRPC Client 2020-01-10 16:17:14 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 6 Tobias 2020-01-11 15:26:22 UTC
I've seen that you have pushed 2.0.2 to rawhide; thanks. I've got some questions still:

- should I close the PR now?
- are we keeping the name of the python package with an upper case letter (python3-Pykka)? this was changed only a year ago.
- looking at the koji build, it looks like the docs package name has changed now too? (to pykka-python-Pykka-doc)
- is it possible to get builds for fc30/31 made?

Comment 7 Fabian Affolter 2020-01-11 16:21:24 UTC
Sorry, my bad. I took the package without checking if there are open issues and PRs.

Yes, I updated the package to 2.0.2 and build it. Then I saw that you made changes which are improving the package far more than my changes did. I tried to include your work. At the moment (2.0.2-2) the package is not building because of the mentioned issue with python-gevent. 

- should I close the PR now?

Not sure, it would require that you rebase to make it mergable. I suggest to get release that we can build and then go from there.

- are we keeping the name of the python package with an upper case letter (python3-Pykka)? this was changed only a year ago.

The package name (python3-Pykka) is like the upstream name and this is what the dependency generator will pick up (I assume).

- looking at the koji build, it looks like the docs package name has changed now too? (to pykka-python-Pykka-doc)

That change was a mistake. Should be fixed with 2.0.2-2. The intention was to use the same style as other packages do for the documentation but then I realize that I'm not allow to do this without the proper mechanism in place.

- is it possible to get builds for fc30/31 made?

Sure

Please tell me when you are in the packager group then I can add you as a co-maintainer.

Comment 8 Tobias 2020-01-11 17:15:54 UTC
No worries, you've pretty much included everything from my PR anyways. I think I'll repurpose it to work around the test failure (by skipping it)--you decide if you want to merge that (otherwise just close it).

> The package name (python3-Pykka) is like the upstream name and this is what the dependency generator will pick up (I assume).

I haven't considered this. I'm OK with keeping the name as is in order to not break things.

Comment 9 Tobias 2020-01-14 13:37:04 UTC
Quick follow up, Fabian: Can you please build pykka 2.0.2 for fc30/31?

Comment 10 Fabian Affolter 2020-01-14 14:55:34 UTC
Done, sorry for the delay.

Comment 11 Fedora Update System 2020-01-15 00:50:21 UTC
pykka-2.0.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-720045b062

Comment 12 Fedora Update System 2020-01-16 19:51:13 UTC
pykka-2.0.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-74bd8bc3fb

Comment 13 Fedora Update System 2020-01-24 18:51:07 UTC
pykka-2.0.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-01-25 06:34:35 UTC
pykka-2.0.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.